<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>录播节目单查询</title>
</head>
<body>
    @include("header")
    <div>
        <h3>{{$video->title}}</h3>
        <h4>弹幕数：{{$video->danmakus_count}}</h4>
    </div>
    <form action="">
        <label for="keyword">查找弹幕关键词，支持搜索用户名，空格隔开查找多个关键词</label>
        <input type="text" name="keyword" id="keyword" value="{{$keyword}}">
        <input type="submit">
    </form>
    @if($keyword)
        <table border>
            <thead>
            <tr>
                <td>发送人</td>
                <td>弹幕内容</td>
                <td>发送时间</td>
            </tr>
            </thead>
            <tbody>
            @foreach($danmakus as $danmaku)
                <tr>
                    <td>
                        @switch($danmaku->platform_id)
                            @case(1)
                                <img src="https://cdn.jerryyan.net/luboimg/bilibili.ico" alt="B站" style="width: 1em; height: 1em;">
                                <a href="https://space.bilibili.com/{{$danmaku->from_mid}}" target="_blank">{{$danmaku->from}}</a>
                                @break(1)
                            @case(2)
                                <img src="https://cdn.jerryyan.net/luboimg/ixigua.ico" alt="西瓜视频" style="width: 1em; height: 1em;">
                                <a href="https://www.ixigua.com/home/{{$danmaku->from_mid}}/" target="_blank">{{$danmaku->from}}</a>
                                @break(2)
                            @default
                                {{$danmaku->from}}
                                @break(2)
                        @endswitch
                    </td>
                    <td>{{$danmaku->content}}</td>
                    <td>{{$danmaku->created_at}}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
    @endif
@include("footer")
</body>
</html>
